> For the complete documentation index, see [llms.txt](https://docs.yemreak.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.yemreak.com/arsiv/yazilarim/verimli-programlama.md).

# Verimli Programlama

Android üzerinde uyguladığım kodlama stratejim

## 📝 Dokümantasyon Yapısı

* 🔗 İlgili metot üzerine yararlandığım kaynağın bağlantısını bırakmak

```java
/**
* ...
* https://developer.android.com/training/volley/simple.html
*/
public static void volleyExample() {
    // ...
}
```

## 👨‍💻 Kodlama Yapısı

* 💡 Gerekli adımları **Log** yapısı ve uygun etiket ile yazdırma
* ✨ Metotlar içerisinde özel **interface** yapısı kullanma
* 🗂️ Her sınıfın kullandığı veri yapısını kendi içerisinde tanımlama

```java
class NewsAPI {
    static final String TAG = "NewsAPI"; // Loglama için etiket yapısı
    
    public void logEx() {
        Log.i(TAG, "YEmreAk.com");
    }

    public static void someRequest(ResponseListener responseListener) {
        // İşlemler...
        // newDataList = ArrayList<NewsData>...
        responseListener.onResponse(newsDataList); // Interface kullanımı
    }
    
    interface ResponseListener {
            void onResponse(ArrayList<NewsData> newsDataList);
        }
    
        public static class NewsData {
            String title;
            String description;
            String urlToImage;
    
            NewsData(String title, String description, String urlToImage) {
                this.title = title;
                this.description = description;
                this.urlToImage = urlToImage;
            }
        }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.yemreak.com/arsiv/yazilarim/verimli-programlama.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
